Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultScalarDSTableView

Object
hdf.view.TableView.DefaultBaseTableView
hdf.view.TableView.DefaultScalarDSTableView

All Implemented Interfaces:
  `DataView`, `TableView`

Direct Known Subclasses:
  `DefaultScalarAttributeTableView`

public class DefaultScalarDSTableView extends DefaultBaseTableView implements TableView

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class hdf.view.TableView.DefaultBaseTableView

  `DefaultBaseTableView.ColumnHeader, DefaultBaseTableView.EditingGridLayer, DefaultBaseTableView.RefContextMenu, DefaultBaseTableView.RowHeader, DefaultBaseTableView.RowHeaderDataProvider, DefaultBaseTableView.ViewType`

- ## Field Summary

  ### Fields inherited from class hdf.view.TableView.DefaultBaseTableView

  `binaryOrder, bitmask, bitmaskOP, cellLabel, cellValueField, checkBin, checkCustomNotation, checkEnum, checkFixedDataLength, checkHex, checkScientificNotation, columnHeaderDataProvider, curFont, customFormat, dataDisplayConverter, dataLayer, dataObject, dataProvider, dataTable, dataValue, fillValue, fixedDataLength, indexBase, indexBaseGroup, isDataTransposed, isDisplayTypeChar, isEnumConverted, isObjRef, isReadOnly, isRegRef, normalFormat, numberFormat, rowHeaderDataProvider, scientificFormat, selectionLayer, shell, showAsBin, showAsHex, viewer, viewType`

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultScalarDSTableView​(DataViewManager theView)`
  Constructs a ScalarDS TableView with no additional data properties.
  `DefaultScalarDSTableView​(DataViewManager theView, HashMap dataPropertiesMap)`
  Constructs a ScalarDS TableView with the specified data properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.eclipse.swt.widgets.Menu`
  `createMenuBar​(org.eclipse.swt.widgets.Shell theShell)`
  Creates the menubar for the Shell.
  `protected org.eclipse.nebula.widgets.nattable.NatTable`
  `createTable​(org.eclipse.swt.widgets.Composite parent, DataFormat dataObject)`
  Creates a NatTable for a Scalar dataset.
  `protected org.eclipse.nebula.widgets.nattable.config.IEditableRule`
  `getDataEditingRule​(DataFormat dataObject)`
  Returns an IEditableRule that determines whether cells can be edited.
  `Object`
  `getSelectedData()`
  Returns the selected data values of the ScalarDS
  `protected void`
  `loadData​(DataFormat dataObject)`
  `protected void`
  `showObjRefData​(long ref)`
  Display data pointed to by object references.
  `protected void`
  `showRegRefData​(String reg)`
  Display data pointed to by region references.

  ### Methods inherited from class hdf.view.TableView.DefaultBaseTableView

  `getDataLayer, getDataObject, getSelectedColumnCount, getSelectedRowCount, getSelectionLayer, getTable, importBinaryData, importTextData, NewshowObjRefData, NewshowRegRefData, saveAsBinary, saveAsText, updateDataConversionSettings, updateValueInFile`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface hdf.view.DataView.DataView

  `getDataObject`

  ### Methods inherited from interface hdf.view.TableView.TableView

  `getSelectedColumnCount, getSelectedRowCount, getTable, updateValueInFile`

- ## Constructor Details

  - ### DefaultScalarDSTableView

    public DefaultScalarDSTableView​(DataViewManager theView)
    Constructs a ScalarDS TableView with no additional data properties.
    Parameters:
      `theView` - the main HDFView.

  - ### DefaultScalarDSTableView

    public DefaultScalarDSTableView​(DataViewManager theView, HashMap dataPropertiesMap)
    Constructs a ScalarDS TableView with the specified data properties.
    Parameters:
      `theView` - the main HDFView.
      `dataPropertiesMap` - the properties on how to show the data. The map is used to allow applications to pass properties on how to display the data, such as: transposing data, showing data as characters, applying a bitmask, and etc. Predefined keys are listed at ViewProperties.DATA_VIEW_KEY.

- ## Method Details

  - ### loadData

    protected void loadData​(DataFormat dataObject) throws Exception
    Overrides:
      `loadData` in class `DefaultBaseTableView`
    Throws:
      `Exception`

  - ### createMenuBar

    protected org.eclipse.swt.widgets.Menu createMenuBar​(org.eclipse.swt.widgets.Shell theShell)
    Creates the menubar for the Shell.
    Overrides:
      `createMenuBar` in class `DefaultBaseTableView`

  - ### createTable

    protected org.eclipse.nebula.widgets.nattable.NatTable createTable​(org.eclipse.swt.widgets.Composite parent, DataFormat dataObject)
    Creates a NatTable for a Scalar dataset.
    Specified by:
      `createTable` in class `DefaultBaseTableView`
    Parameters:
      `parent` - The parent for the NatTable
      `dataObject` - The Scalar dataset for the NatTable to display
    Returns:
      The newly created NatTable

  - ### getSelectedData

    public Object getSelectedData()
    Returns the selected data values of the ScalarDS
    Specified by:
      `getSelectedData` in interface `TableView`
    Returns:
      array of selected data

  - ### getDataEditingRule

    protected org.eclipse.nebula.widgets.nattable.config.IEditableRule getDataEditingRule​(DataFormat dataObject)
    Returns an IEditableRule that determines whether cells can be edited. Cells can be edited as long as the dataset is not opened in read-only mode and the data is not currently displayed in hexadecimal, binary, or character mode.
    Specified by:
      `getDataEditingRule` in class `DefaultBaseTableView`
    Parameters:
      `dataObject` - The dataset for editing
    Returns:
      a new IEditableRule for the dataset

  - ### showObjRefData

    protected void showObjRefData​(long ref)
    Display data pointed to by object references. Data of each object is shown in a separate spreadsheet.
    Specified by:
      `showObjRefData` in class `DefaultBaseTableView`
    Parameters:
      `ref` - the array of strings that contain the object reference information.

  - ### showRegRefData

    protected void showRegRefData​(String reg)
    Display data pointed to by region references. Data of each region is shown in a separate spreadsheet. The reg. ref. information is stored in strings of the format below:
    - For point selections: "`file_id:obj_id { [point1] [point2] ...) }`", where `[point1]` is in the form of (location_of_dim0, location_of_dim1, ...). For example, `0:800 { (0,1) (2,11) (1,0) (2,4) }`
    - For rectangle selections: "`file_id:obj_id { [corner coordinates1] [corner coordinates2] ... }`", where [corner coordinates1] is in the form of (start_corner)-(oposite_corner). For example, `0:800 { (0,0)-(0,2) (0,11)-(0,13) (2,0)-(2,2) (2,11)-(2,13) }`
    Specified by:
      `showRegRefData` in class `DefaultBaseTableView`
    Parameters:
      `reg` - the array of strings that contain the reg. ref information.